#
# spec file for package nagios (Version 2.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs ed expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gd gd-devel gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv iputils klogd krb5 less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 mailx make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           nagios
BuildRequires:  apache2-devel freetype2-devel gd-devel iputils libapr-util1-devel libjpeg-devel libpng-devel mailx pcre-devel xorg-x11-devel
Summary:        The Nagios Network Monitor
Version:        2.5
Release:        28
Url:            http://www.nagios.org/
License:        GPL v2 or later
Group:          System/Monitoring
PreReq:         %insserv_prereq %fillup_prereq coreutils /usr/sbin/useradd /usr/sbin/groupadd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define nsusr nagios
%define nsgrp nagios
%define cmdusr nobody
%define cmdgrp www
%define nslockfile /var/run/nagios.pid
%define apxs2 /usr/sbin/apxs2-prefork
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)
Source0:        %{name}-%{version}.tar.gz
Source1:        rcnagios
Source3:        nagios-httpd.conf
Source6:        nagios.logrotate
Patch1:         nagios.uninitialized.patch
Patch2:         nagios.neb_deregister_module_callbacks.patch
Patch3:         nagios.check_for_expired_comment.patch
Patch4:         nagios.POPs.patch
Patch5:         nagios.current_attempt.patch
Patch6:         nagios.notifications-host_name.patch
Patch7:         nagios.sehandlers.end_time.patch
Patch10:        nagios.minimal.cfg.duplicate_checks.patch
Patch20:        nagios-2.5-CVE-2007-5624.diff
Patch21:        nagios-2.5-CVE-2008-1360.diff
Patch22:        nagios-2.5-CVE-2007-5803.diff

%description
The Nagios Network Monitor

Authors:
--------
    Ethan Galstad <nagios@nagios.org>

%debug_package
%package www
License:        GPL v2 or later
Group:          System/Monitoring
Summary:        Nagios Network Monitor
PreReq:         http_daemon
Requires:       nagios gd 

%description www
Nagios Network Monitor

Authors:
--------
    Ethan Galstad <nagios@nagios.org>

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch10 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--with-cgiurl=/nagios/cgi-bin \
	--with-htmurl=/nagios \
	--with-lockfile=%{nslockfile} \
	--with-nagios-user=%{nsusr} \
	--with-nagios-grp=%{nsgrp} \
	--with-command-user=%{cmdusr} \
	--with-command-grp=%{cmdgrp} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix}/sbin \
	--bindir=%{_prefix}/sbin \
	--sbindir=%{_prefix}/lib/nagios/cgi \
	--libexecdir=%{_prefix}/lib/nagios/plugins \
	--datadir=%{_prefix}/share/nagios \
	--sysconfdir=/etc/nagios \
        --with-init-dir=/etc/init.d \
	--localstatedir=/var/lib/nagios \
	--with-gd-inc=/usr/include/gd \
	--enable-embedded-perl \
	--enable-event-broker \
	--with-perlcache 
make all %{?jobs:-j%jobs}
sed -i~ -e '
s@/var/lib/nagios/rw/@/var/spool/nagios/@
s@/var/lib/nagios/nagios.log@/var/log/nagios/nagios.log@
s@/var/lib/nagios/archives@/var/log/nagios/archives@
s@^nagios_user=daemon$@nagios_user=%{nsusr}@
s@^nagios_group=nagios$@nagios_group=%{nsgrp}@
' sample-config/nagios.cfg
diff -u sample-config/nagios.cfg~ sample-config/nagios.cfg || :
cd contrib
make %{?jobs:-j%jobs}
cd ..

%install
install -d -m 0775 ${RPM_BUILD_ROOT}/var/spool/nagios
install -d -m 0775 ${RPM_BUILD_ROOT}/var/log/nagios
install -d -m 0775 ${RPM_BUILD_ROOT}/var/log/nagios/archives
install -d -m 0755 ${RPM_BUILD_ROOT}%{_prefix}/include/nagios
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/init.d
install -d -m 0755 ${RPM_BUILD_ROOT}/%{apache2_sysconfdir}/conf.d/
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/logrotate.d/
make DESTDIR=$RPM_BUILD_ROOT INSTALL_OPTS="" COMMAND_OPTS="" INIT_OPTS= STRIP=: install
make DESTDIR=$RPM_BUILD_ROOT INSTALL_OPTS="" COMMAND_OPTS="" INIT_OPTS= CGICFGDIR=/etc/nagios install-config
for i in $RPM_BUILD_ROOT/etc/nagios/*-sample ; do
  mv $i ${i%%-sample}
done
cp -vf sample-config/template-object/minimal.cfg \
       $RPM_BUILD_ROOT/etc/nagios/minimal.cfg-sample
# devel
install -m 0644 include/locations.h ${RPM_BUILD_ROOT}%{_prefix}/include/nagios
#
cd contrib
make DESTDIR=$RPM_BUILD_ROOT INSTALL=install CGIDIR=%{_prefix}/lib/nagios/cgi INSTALL_OPTS= install
cd ..
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/lib/nagios/plugins
# install SuSE specials 
cp %{SOURCE3} $RPM_BUILD_ROOT/%{apache2_sysconfdir}/conf.d/nagios.conf
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/nagios
ln -sf ../../etc/init.d/nagios $RPM_BUILD_ROOT/usr/sbin/rcnagios
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/nagios

%pre
/usr/sbin/groupadd -r nagios 2> /dev/null || :
/usr/sbin/useradd  -r -o -g nagios -s /bin/false -c "User for Nagios" -d /var/lib/nagios nagios 2> /dev/null || :

%post
%{fillup_and_insserv nagios}

%preun
%stop_on_removal nagios

%postun
if test -f %{nslockfile}
then
	chown -v %{nagios} %{nslockfile}
fi
%restart_on_update nagios
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%dir /etc/nagios
%dir %{_prefix}/include/nagios
%dir %attr(755,%{nsusr},%{nsgrp}) /var/lib/nagios
%dir %attr(755,%{nsusr},%{nsgrp}) /var/log/nagios
%dir %attr(755,%{nsusr},%{nsgrp}) /var/log/nagios/archives
%dir %attr(2775,%{nsusr},%{cmdgrp}) /var/spool/nagios
%config /etc/init.d/nagios
%{_prefix}/sbin/*
%{_prefix}/include/nagios/locations.h
%config(noreplace) /etc/nagios/[!r]*
%attr(640,root,%nsgrp) %config(noreplace) /etc/nagios/resource.cfg
%config /etc/logrotate.d/nagios
%doc Changelog LICENSE README* UPGRADING

%files www
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios/cgi
%dir %{_prefix}/share/nagios
%{_prefix}/lib/nagios/cgi/*
%{_prefix}/share/nagios/*
%dir %{apache2_sysconfdir}/conf.d
%config(noreplace) %{apache2_sysconfdir}/conf.d/*

%changelog
* Wed Apr 09 2008 - lnussel@suse.de
- use better patches for CVE-2008-1360, CVE-2007-5803 and
  CVE-2007-5624 (bnc#339447, bnc#372037).
* Wed Mar 05 2008 - olh@suse.de
- extend last change to fix CVE-2007-5624 (bnc#339447)
* Tue Jan 08 2008 - olh@suse.de
- Bug fixes to prevent possible XSS attack in CGIs (339447)
  CVE-2007-5624
* Thu Nov 16 2006 - tsieden@suse.de
- changed home dir to /var/lib/nagios (#221791)
* Tue Oct 17 2006 - olh@suse.de
- fix uninitialized variable in run_global_service_event_handler (212892)
* Mon Sep 18 2006 - olh@suse.de
- add a user/group nagios (#61908)
* Fri Sep 08 2006 - olh@suse.de
- update to version 2.5
  disable sapmon patch for the time being
* Wed May 24 2006 - schwab@suse.de
- Don't build as root.
- Don't strip binaries.
- Fix format string bug.
* Thu May 04 2006 - stark@suse.de
- fixed possible buffer overflow in CGI scripts (#140494)
  (CVE-2006-2162)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - stark@suse.de
- fixed off-by-one overflow (#141124)
* Fri Nov 18 2005 - stark@suse.de
- update to stable version 1.3
* Thu Oct 06 2005 - stark@suse.de
- fixed autobuild warnings about printf format
* Sat May 14 2005 - stark@suse.de
- fixed compiler errors about usage of uninitialized vars
* Sun Apr 24 2005 - aj@suse.de
- Compile with GCC4.
* Mon Aug 30 2004 - ro@suse.de
- removed apache1 traces
* Mon May 03 2004 - stark@suse.de
- fix compiler-warnings
* Tue Feb 03 2004 - stark@suse.de
- update to nagios 1.2
* Thu Sep 18 2003 - stark@suse.de
- /usr/lib/nagios and /usr/lib/nagios/plugins are owned
  by root (#31100)
* Mon Sep 08 2003 - stark@suse.de
- add apache2 config-files, require http_daemon
  and need apache2-devel-packages for build (#30157)
* Wed Aug 27 2003 - ro@suse.de
- remove traceroute-lbl from neededforbuild
  traceroute from net-tools is used anyway
* Mon Aug 18 2003 - stark@suse.de
- added activation meta-data to sysconfig (#28830)
* Fri Aug 15 2003 - poeml@suse.de
- change cmdgrp from nogroup to www (the group apache now runs
  under) [#21782]
- implement try-restart correctly
* Thu Jul 31 2003 - stark@suse.de
- use stop/restart macros
* Tue Jul 29 2003 - aj@suse.de
- Fix chown invocation.
* Fri Jul 25 2003 - stark@suse.de
- added bugfixes
* Thu Jun 12 2003 - kukuk@suse.de
- Make sure plugin directory exist
* Thu Jun 12 2003 - kukuk@suse.de
- Add nagios libdir to filelist
* Wed Jun 04 2003 - stark@suse.de
- update to bugfix release 1.1
  * File descriptor leak in file-based performance routines
  * Timestamp fix for PostgreSQL 7.3
  * Minor bug fixes to cmd and history CGIs
  * Minor documentation fixes
* Mon Jan 13 2003 - stark@suse.de
- added sysconfig-metadata (#22607)
* Mon Dec 02 2002 - stark@suse.de
- adopted sapmoni.dif for gcc 3.3
* Mon Nov 25 2002 - stark@suse.de
- update to 1.0 final
  * Minor bug fixes in CGIs
  * Minor doc updates
  * Bug fix for flex host downtime
  * Embedded perl bug fixe for arguments with spaces
  * Host escalation logic fix
* Tue Oct 15 2002 - stark@suse.de
- running pre-flight configuration check always when
  starting nagios (#20916)
- added logrotate definitions for logfiles
- fixed embedded perl (#20916) (thanks to mls)
* Mon Sep 23 2002 - stark@suse.de
- update to 1.0b6
  * Added wildcards and multiple hosts/hostgroups to host dependency
  and service dependency definitions
  * Added wildcard support for members directive in hostgroup
  definitions
  * Minor bug fixes and cleanups in CGIs
  * Minor cleanups in the core
  * New version of snprintf() included that supports %%f
  * Notification interval for escalations now defaults to
  non-escalated value
* Fri Aug 23 2002 - stark@suse.de
- update to 1.0b5
  * Fixed memory leak related to processing of passive checks
  * Memory leak fixes in the CGIs
  * Minor interface changes to the status and TAC CGIs
  * Bug fix in the notification CGI
  * Added minimalistic sample object config file (minimal.cfg)
* Fri Aug 16 2002 - stark@suse.de
- added PreReq (Bug #17938 #17939)
* Mon Aug 12 2002 - stark@suse.de
- updated sapmoni patch to provide documentation
* Mon Aug 12 2002 - mls@suse.de
- made it work with threaded perl-5.8
* Thu Aug 08 2002 - stark@suse.de
- added patch to be able to use nagios-plugins-sap
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 05 2002 - stark@suse.de
- update to 1.0b4
  * Address field in host definitions is now optional in
  template-based config format. Defaults to host name if not
  specified.
  * Fixed memory leak when processing passive checks
  * Added illegal_macro_output_chars variable to main config file
  to allow for stripping dangerous shell characters from plugin
  output
* Wed Jun 12 2002 - stark@suse.de
- removed -devel subpackage and moved the file to main-package
* Mon Jun 10 2002 - stark@suse.de
- update to 1.0b3
  * Bug fixes in template-based object code
  * Bug fix in tac CGI for counting host and service states
  properly
  * Default is now to check for external commands as often as
  possible
  * Ping syntax for WAP interface moved to CGI config file
  * Command file user/group defaults to Nagios user/group unless
  overridden with configure script options
  * Sample template-based object config file fixes
* Tue May 28 2002 - stark@suse.de
- update to 1.0b2
  * Fixed bug with escaping strings for DB support
  (MySQL & PostgreSQL)
  * Several bug fixes in template-based object code
  * Multiple hostgroups supported in host and service escalations
  * Wildcard support in service, service escalation, and host
  escalation definitions
* Thu May 23 2002 - stark@suse.de
- install config-file templates
* Wed May 22 2002 - stark@suse.de
- initial version of Nagios (the successor of NetSaint)
